# 修改账号子域 (/docs/api/native/application/putSubdomain)



`PUT /application/v1/subdomain`

Change the account subdomain. Every Worker moves to the new address at once; old addresses stop resolving.

**支持状态: supported**

## 请求体 (application/json) [#请求体-applicationjson]

必填: true

| 名称        | 类型     | 说明                                                                              |
| --------- | ------ | ------------------------------------------------------------------------------- |
| subdomain | string | Account subdomain, 8–32 lowercase letters and digits; part of every Worker URL. |

```json
{
  "type": "object",
  "required": [
    "subdomain"
  ],
  "properties": {
    "subdomain": {
      "type": "string",
      "description": "Account subdomain, 8–32 lowercase letters and digits; part of every Worker URL.",
      "pattern": "^[a-z0-9]{8,32}$",
      "example": "acme1234"
    }
  }
}
```

## 响应 [#响应]

### HTTP 200 [#http-200]

Success

**application/json**

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| subdomain | string | Account subdomain, 8–32 lowercase letters and digits; part of every Worker URL. |
